Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-55200

Gradle JPI plugin should be updated to support testing with Java 11

    XMLWordPrintable

Details

    Description

      In JEP-211 we introduced support of testing against Java 11 for the Maven Flow. It was explicitly agreed that the Gradle flow is out of the scope for this JEP. But it would be great to get it updated, because some plugins (Gradle, JobDSL) depend on the Gradle flow.

      https://github.com/jenkinsci/jep/tree/master/jep/211

       

       

      Attachments

        Activity

          sghill Steve Hill added a comment -

          Thanks for the report oleg_nenashev! The good news is this plugin itself already supports Java 11.

           

          Gradle 5.0 is the first Gradle release that supports running on Java 11. gradle-jpi-plugin v0.28.1 was released on November 26 with Gradle 5.0 support. Its own build runs successfully with Java 11.

           

          The mentioned plugin repositories are on much older versions of gradle:

           

          Once the plugins are upgraded to >= Gradle 5.0 and the gradle-jpi-plugin is >= 0.28.1, they should be all set. Gradle provides a migration guide to help with that effort. Feel free to open another issue with the specific error if something comes up.

           

           

          sghill Steve Hill added a comment - Thanks for the report oleg_nenashev ! The good news is this plugin itself already supports Java 11.   Gradle 5.0 is the first Gradle release that supports running on Java 11 . gradle-jpi-plugin v0.28.1 was released on November 26  with Gradle 5.0 support. Its own build runs successfully with Java 11.   The mentioned plugin repositories are on much older versions of gradle: jenkinsci/gradle-plugin has Gradle 4.1 jenkinsci/job-dsl-plugin has Gradle 4.9   Once the plugins are upgraded to >= Gradle 5.0 and the gradle-jpi-plugin is >= 0.28.1, they should be all set. Gradle provides a migration guide  to help with that effort. Feel free to open another issue with the specific error if something comes up.    
          sghill Steve Hill added a comment -

          Added Java 11 to the plugin's CI pipeline. This was already supported as of Nov 26, but now it's explicitly tested on each push/pr.

          sghill Steve Hill added a comment - Added Java 11 to the plugin's CI pipeline. This was already supported as of Nov 26, but now it's explicitly tested on each push/pr.

          People

            sghill Steve Hill
            oleg_nenashev Oleg Nenashev
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: